# Get SAML auth settings GET https://app.unleash-instance.example.com/api/admin/auth/saml/settings **Enterprise feature** Returns the current settings for SAML authentication Reference: https://docs.getunleash.io/api/get-saml-settings ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get SAML auth settings version: endpoint_auth.getSamlSettings paths: /api/admin/auth/saml/settings: get: operationId: get-saml-settings summary: Get SAML auth settings description: |- **Enterprise feature** Returns the current settings for SAML authentication tags: - - subpackage_auth parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: samlSettingsResponseSchema content: application/json: schema: $ref: '#/components/schemas/samlSettingsResponseSchema' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} components: schemas: SamlSettingsResponseSchemaDefaultRootRole: type: string enum: - value: Viewer - value: Editor - value: Admin samlSettingsResponseSchema: type: object properties: enabled: type: boolean description: Whether to enable or disable SAML 2.0 for this instance entityId: type: string description: The SAML 2.0 entity ID signOnUrl: type: string description: Which URL to use for Single Sign On certificate: type: string description: The X509 certificate used to validate requests signOutUrl: type: string description: Which URL to use for Single Sign Out spCertificate: type: string description: Signing certificate for sign out requests autoCreate: type: boolean description: >- Should Unleash create users based on the emails coming back in the authentication reply from the SAML server emailDomains: type: string description: >- A comma separated list of email domains that Unleash will auto create user accounts for. defaultRootRole: $ref: '#/components/schemas/SamlSettingsResponseSchemaDefaultRootRole' description: Assign this root role to auto created users defaultRootRoleId: type: number format: double description: >- Assign this root role to auto created users. Should be a role ID and takes precedence over `defaultRootRole`. enableGroupSyncing: type: boolean description: >- Should we enable group syncing. Refer to the documentation [Group syncing](https://docs.getunleash.io/guides/how-to-set-up-group-sso-sync) groupJsonPath: type: string description: >- Specifies the path in the SAML token response from which to read the groups the user belongs to. ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/auth/saml/settings" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/auth/saml/settings'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/auth/saml/settings" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/auth/saml/settings") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/auth/saml/settings") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/auth/saml/settings', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/auth/saml/settings"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/auth/saml/settings")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```